Summary:        Kernel and Hardware related utilities
Name:           kernel-utils
Version:        2.4
Release:	8.13.7.2
Serial:         1
Group:          System Environment/Base
License:        GPL
Url:            http://www.urbanmyth.org/microcode/
Source0:        microcode_ctl-1.06.tar.gz
Source1:	microcode_ctl.init
Source10:	dmidecode.c
Source20: 	smartsuite-2.1.tar.gz
Source40:	eepro100-diag.c
Source50:	x86info-1.7.tar.bz2
Source60:	longrun-0.9.tar.bz2
Source70:	uml_utilities_20020821.tar.bz2
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/chkconfig /sbin/service
Requires:	fileutils
BuildPreReq: 	kernel-source
%ifarch {ix86}
Obsoletes:	microcode_ctl
%endif
ExcludeArch: ia64
Patch1: microcode_ctl.patch
Patch20: smartsuite.patch
Patch32: uml_utilities-nocldwait.patch

%description
kernel-utils contains several utilities that can be used to control
the kernel or your machines hardware. Included are
* dmidecode - gives information about the bios and motherboard revisisons
* microcode_ctl - updates the microcode on Intel cpu's
* smartctl - monitor the health of your disks


%prep

%setup -q -c -a 0 -a 20 -a 50 -a60 -a 70

%patch1
%patch20
%patch32 -p1

%build
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/man
mkdir -p %{buildroot}/etc/rc.d/init.d
gcc %{SOURCE10} -o  %{buildroot}/usr/sbin/dmidecode
%ifnarch ppc ppc64
gcc %{SOURCE40} $RPM_OPT_FLAGS -o %{buildroot}/usr/sbin/eepro100-diag
%endif

%ifarch %{ix86}
cd microcode_ctl-1.06
make CFLAGS="$RPM_OPT_FLAGS"
cd ..
%endif
cd tools
make

%install
mkdir -p %{buildroot}/usr/share/man/man{1,8}

%ifarch %{ix86}
cd microcode_ctl-1.06

make DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} \
     INSDIR=/sbin MANDIR=%{_mandir}/man8 RCDIR=/etc MICDIR=/etc/firmware install clean

install %{SOURCE1} %{buildroot}/etc/rc.d/init.d/microcode_ctl

cd ../x86info-1.7
make
install x86info %{buildroot}/usr/sbin/x86info
install  x86info.1 %{buildroot}/usr/share/man/man1/
cd ..

cd longrun
make
install longrun %{buildroot}/usr/sbin
install longrun.1 %{buildroot}/usr/share/man/man1
cd ..
%endif

cd smartsuite-2.1
make DESTDIR=$RPM_BUILD_ROOT smartd smartctl install

cd ../tools
make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -r $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%ifarch %{ix86}
/etc/rc.d/init.d/microcode_ctl
/etc/firmware/*
%{_mandir}/*/*
/sbin/microcode_ctl
/usr/sbin/x86info
/usr/sbin/longrun
%endif
%ifnarch
/usr/sbin/eepro100-diag
%endif
/usr/sbin/smartd
/usr/sbin/smartctl
/usr/sbin/dmidecode
/etc/rc.d/init.d/smartd
%{_mandir}/man8/smartd.8*
%{_mandir}/man8/smartctl.8*
%{_libdir}/uml/port-helper
%{_bindir}/uml_mconsole
%{_bindir}/tunctl
%{_bindir}/uml_net
%{_bindir}/jailtest
%{_bindir}/uml_moo
%{_bindir}/uml_switch
%{_bindir}/uml_watchdog

%ifarch %{ix86}
%preun
if [ "$1" = "0" ] ; then
 /sbin/service smartd stop
 /sbin/chkconfig --del microcode_ctl
 /sbin/chkconfig --del smartd
fi
%endif

%post
/sbin/chkconfig --add smartd
/sbin/chkconfig --add microcode_ctl

%changelog
* Mon Sep 23 2002 Arjan van de Ven <arjanv@redhat.com>
- adjust for building on RHL 7.2

* Thu Sep 12 2002 Guy Streeter <streeter@redhat.com> 2.4.8-14
- No eepro100-diag for ppc.

* Fri Aug 23 2002 Elliot Lee <sopwith@redhat.com> 2.4-8.13
- Don't cop out of building uml_net on ia64 - instead, remove usage of
  (effect-free) SA_NOCLDWAIT if not defined.
- Include all the uml tools (+ jailtest/uml_moo/uml_switch/uml_watchdog)

* Fri Aug 23 2002 Arjan van de Ven <arjanv@redhat.com> 2.4-8.12
- add uml tools

* Wed Aug 21 2002 Elliot Lee <sopwith@redhat.com> 2.4-8.11
- Remove ExclusiveArch: i386 (since it builds everywhere)
- Include smartd/smartctl man pages

* Wed Jul 31 2002 Arjan van de Ven <arjanv@redhat.com>
- added longrun uitility

* Thu Jun 27 2002 Elliot Lee <sopwith@redhat.com> 2.4-8.7
- Patch31 for net-snmp 

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Michael K. Johnson <johnsonm@redhat.com>
- include the man pages

* Sat Mar 30 2002	Arjan van de Ven <arjanv@redhat.com>
- change initorder to not shut services down after NFS has shut down
  to allow /usr to be NFS mounted

* Wed Mar 20 2002	Arjan van de Ven <arjanv@redhat.com>
- fix microcode_ctl to work on smp

* Thu Mar 14 2002 Bill Nottingham <notting@redhat.com> 2.4-5
- don't run things by default

* Wed Feb  6 2002 Tim Powers <timp@redhat.com> 2.4-3.6.2
- fix %%post sciptlet typo

* Mon Feb 04 2002	Arjan van de Ven <arjanv@redhat.com>
- fail gracefully in microcode_ctl if firmware isn't downloaded

* Mon Jan 28 2002	Arjan van de Ven <arjanv@redhat.com>
- added x86info

* Tue Jan 15 2002       Bill Nottingham <notting@redhat.com>
- move eepro100-diag from kudzu to here

* Fri Jan 11 2002	Arjan van de Ven <arjanv@redhat.com>
- added cpqarrayd for monitoring cpqarray drives too
  from http://starbreeze.knoware.nl/~hugo/compaq/

* Mon Jan 07 2002	Arjan van de Ven <arjanv@redhat.com>
- added smartsuite for monitoring disk health status

* Fri Dec 07 2001	Arjan van de Ven <arjanv@redhat.com>
- Initial packaging
